Subject: Arhtritic Hickory Tree?

From: [email-masked] (Hank Bastian)
Date: Thu, 23 Mar 1995 20:59:05 +1000

We have a hicory in the yard with a strange problem.  The branch ends look 
like they have arthritis, they are all twisted and gnarled.   The nuts do fall 
off early as well.  Could it be the Hickory Shuckworm(no pest was found)?
Can it be treated?  The tree appears vigorous and healthy,otherwise.
Hank Bastian
Williamsburg,VA USA
[email-masked]